Skip to main content
GET
/
content
/
documentlists
/
{documentListName}
/
views
/
{viewName}
/
documents
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "activeDateRange": {
        "endDate": "2023-11-07T05:31:56Z",
        "startDate": "2023-11-07T05:31:56Z"
      },
      "contentLength": 123,
      "contentMimeType": "<string>",
      "contentUpdateDate": "2023-11-07T05:31:56Z",
      "documentTypeFQN": "<string>",
      "extension": "<string>",
      "id": "<string>",
      "insertDate": "2023-11-07T05:31:56Z",
      "listFQN": "<string>",
      "name": "<string>",
      "path": "<string>",
      "properties": "<unknown>",
      "publishSetCode": "<string>",
      "publishState": "<string>",
      "updateDate": "2023-11-07T05:31:56Z"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "subPaths": [
    "<string>"
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

documentListName
string
required
viewName
string
required

Query Parameters

filter
string
sortBy
string
pageSize
integer<int32>
startIndex
integer<int32>
includeInactive
boolean
responseFields
string

limits which fields are returned in the response body

Response

Success

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
subPaths
string[] | null
totalCount
integer<int32>